package com.huimv.admin.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class NewWater {
    private Integer id;

    /**
     * 计录值
     */
    private String waterValue;

    /**
     * 原始值
     */
    private String originalValue;

    /**
     * 原始数据
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String originalDate;

    /**
     * 房舍id
     */
    private Integer unitId;

    private Integer farmId;

    private String other1;

    private String other2;
    private Integer deviceType;

    private String other3;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createDate;
    private String voltage;
    private String chipCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uploadDate;
}
